Subject: bug#43646: 27.1; Feature request: Set the cursor foreground color in no-window Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Sep 2020 13:00:21 +0300

> From: O V <[email-masked]>
> Date: Sun, 27 Sep 2020 10:49:51 +0200
> 
> I am writing regarding a feature that I would like to be implemented, and not a bug.
> 
> When using 'org-indent-mode' in Emacs without a GUI (started by 'emacs -nw'), the cursor is hidden when
> located on hidden headline stars.
> 
> I believe this happens because, as per 'M-x customize-option cursor',
> the "cursor foreground color is taken from the background color of the underlying text". As per the same
> doc, the cursor foreground cannot be changed to a fixed face.
> 
> In my opinio, allowing this would be an enormous improvement, as the hidden cursor is a real obstacle to
> correct viewing and editing of org files.
> 
> Could you please make implementations that would solve this problem?

Thank you for your report.

Could you please provide a recipe for reproducing the problem,
starting from "emacs -Q"?  Please include in your recipe the minimal
Org file needed for reproducing.  TIA.